Bug 1046926 - missing libchipcard dependency
Summary: missing libchipcard dependency
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: aqbanking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: libchipcard
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-27 12:36 UTC by Frank Büttner
Modified: 2015-11-05 13:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-05 13:18:21 UTC


Attachments (Terms of Use)

Description Frank Büttner 2013-12-27 12:36:01 UTC
Description of problem:
GnuCash use aqbanking as an backend for the German HBCI standart.
But aqbanking need libchipcard to access the smartcard's.
And this dependency is missing.

Version-Release number of selected component (if applicable):
aqbanking-5.0.25-1.fc19.x86_64

How reproducible:
every time


Steps to Reproduce:
1. start gnucash
2. select tools" -> "online banking"
3. in the aqbanking assistant select new user
4. select HBCI backend using aqbanking
5. select chip card as the security device


Actual results:
The assistant fails, and report the libchipcard is missing

Expected results:
working hbci connection with an chipcard


Additional info:
I have see, that somebody has beginning to build the package, but seen to stop its work.

Comment 1 Bill Nottingham 2014-01-06 20:50:47 UTC
It's not something I can test at all (even less so than some of the general aqbanking stuff), so I'm leery of building it. Do you know of someone willing to maintain & test it?

Comment 2 Frank Büttner 2014-01-06 21:10:04 UTC
The builder for #879839 will make the package ready, so I can test it on an 64 bit platform. I think, when it goes ready to F19 repo, you only have to add the dependency for it.

Comment 3 Fedora Admin XMLRPC Client 2014-03-05 16:48:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-01-09 20:58:04 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Frank Büttner 2015-01-09 21:09:03 UTC
Same error exist under F20

Comment 6 Fedora End Of Life 2015-05-29 10:11:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Frank Büttner 2015-05-29 14:28:07 UTC
Same for F21

Comment 8 Fedora End Of Life 2015-11-04 11:41:44 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Frank Büttner 2015-11-04 12:19:50 UTC
Same for F22.

Comment 10 Rex Dieter 2015-11-04 16:24:03 UTC
Marking futurefeature

Comment 11 Rex Dieter 2015-11-05 13:18:21 UTC
libchipcard review was dropped, can probably consider re-opening this when/if someone else steps up to maintain libchipcard


Note You need to log in before you can comment on or make changes to this bug.